"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPrefAndCityId = exports.getCityIdByPrefId = exports.getPrefId = void 0;
const japanese_city_data_json_1 = __importDefault(require("./japanese-city-data.json"));
const Data = japanese_city_data_json_1.default;
exports.default = Data;
const getPrefId = (pref) => {
    const prefItem = Data.find(item => {
        item.label === pref;
    });
    if (prefItem) {
        return prefItem.value;
    }
    return null;
};
exports.getPrefId = getPrefId;
const getCityIdByPrefId = (prefId, city) => {
    const prefItem = Data.find(item => {
        item.value === prefId;
    });
    if (prefItem) {
        const cityItem = prefItem.children?.find(item => {
            item.label === city;
        });
        if (cityItem) {
            return cityItem.value;
        }
        return null;
    }
    return null;
};
exports.getCityIdByPrefId = getCityIdByPrefId;
const getPrefAndCityId = ({ pref, city }) => {
    const prefId = exports.getPrefId(pref);
    if (prefId === null) {
        return { prefId: null, cityId: null };
    }
    const cityId = exports.getCityIdByPrefId(prefId, city);
    return { prefId, cityId };
};
exports.getPrefAndCityId = getPrefAndCityId;
//# sourceMappingURL=japanese-city-data.js.map